#
# Conditional build:
%bcond_with	python		# without Python bindings

%define		commit		9defefae9fbcb6958cddbfa778c1ea8605da8b8b
%define		shortcommit	9defefa
%define		commitdate	20230922

Summary:	The YASM Modular Assembler
Summary(pl.UTF-8):	Modularny assembler YASM
Name:		yasm
Version:	1.3.0
Release:	3.%{commitdate}.1%{?tld}
License:	distributable (BSD, GPL, LGPL, Artistic; see COPYING)
Group:		Development/Tools
#Source0:	http://www.tortall.net/projects/yasm/releases/%{name}-%{version}.tar.gz
Source0:	https://github.com/yasm/yasm/archive/%{commit}/yasm-%{shortcommit}.tar.gz
# Source0-md5:	3155260395dce87fab5daecea624aba8
Patch0:		%{name}-pythondir.patch
URL:		http://www.tortall.net/projects/yasm/
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	gettext-tools
BuildRequires:	libtool
%{?with_python:BuildRequires:	python-Cython >= 0.11.3}
BuildRequires:	xmlto
Obsoletes:	libyasm
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Yasm is a complete rewrite of the NASM assembler under the "new"
BSD License (some portions are under other licenses, see COPYING for
details). It is designed from the ground up to allow for multiple
assembler syntaxes to be supported (eg, NASM, TASM, GAS, etc.) in
addition to multiple output object formats and even multiple
instruction sets. Another primary module of the overall design is an
optimizer module.

%description -l pl.UTF-8
Yasm to całkowite przepisanie asemblera NASM na "nowej" licencji BSD
(niektóre fragmenty są na innych licencjach, szczegóły w pliku
COPYING). Jest zaprojektowany od podstaw, aby umożliwić obsługę
wielu składni asemblera (np. NASM, TASM, GAS itd.), a ponadto wiele
formatów obiektów wyjściowych, a nawet wiele zestawów instrukcji.
Kolejny główny moduł ogólnego projektu to moduł optymalizatora.

%package -n libyasm-devel
Summary:	Header files and static libyasm library
Summary(pl.UTF-8):	Pliki nagłówkowe i statyczna biblioteka libyasm
Group:		Development/Libraries
License:	BSD+Artistic or LGPL or GPL (see COPYING)
Obsoletes:	libyasm
Obsoletes:	libyasm-static

%description -n libyasm-devel
Header files and static libyasm library.

%description -n libyasm-devel -l pl.UTF-8
Pliki nagłówkowe i statyczna biblioteka libyasm.

%package -n python-yasm
Summary:	Python interface for yasm library
Summary(pl.UTF-8):	Pythonowy interfejs do biblioteki yasm
Group:		Libraries/Python
License:	BSD+Artistic or LGPL or GPL (see COPYING)

%description -n python-yasm
Python interface for yasm library.

%description -n python-yasm -l pl.UTF-8
Pythonowy interfejs do biblioteki yasm.

%prep
%setup -q -n yasm-%{commit}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{?debug:--enable-debug} \
	%{?with_python:--enable-python-bindings}

%{__make} -j1 all check

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS BSD.txt COPYING
%attr(755,root,root) %{_bindir}/vsyasm
%attr(755,root,root) %{_bindir}/yasm
%attr(755,root,root) %{_bindir}/ytasm
%{_mandir}/man1/yasm.1*
%{_mandir}/man7/yasm*.7*

%files -n libyasm-devel
%defattr(644,root,root,755)
%doc AUTHORS BSD.txt COPYING
%{_libdir}/libyasm.a
%{_includedir}/libyasm*.h
%{_includedir}/libyasm

%if %{with python}
%files -n python-yasm
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/yasm.so
%{py_sitedir}/yasm-0.0-py*.egg-info
%endif
%changelog
* Sun Jun 09 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/yasm.git;a=log;h=master

* Sun Jun 09 2024 Marcin Krol <hawk@tld-linux.org> 3dc558f
- build from more fresh github sources

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> fdde28b
- release 3 (by relup.sh)

* Wed Feb 25 2015 Elan Ruusamäe <glen@delfi.ee> 0e3e4a2
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 523df35
- updated gettext BR

* Tue Aug 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 30a9f06
- updated to 1.3.0

* Thu Aug 02 2012 Elan Ruusamäe <glen@delfi.ee> 40c83e8
- add python bcond

* Wed Nov 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 51807c7
- updated to 1.2.0
- package python bindings
- added pythondir patch to use arch-specific dir for native code

* Fri Jan 28 2011 sparky <sparky@pld-linux.org> a91b9a5
- BR: gettext-devel

* Sun Oct 24 2010 Jakub Bogusz <qboosh@pld-linux.org> 1c90a12
- updated to 1.1.0

* Thu May 20 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 42981c6
- up to 1.0.1

* Fri May 29 2009 amateja <amateja@pld-linux.org> fedd166
- updated to 0.8.0

* Thu Jan 08 2009 arvenil <arvenil@pld-linux.org> 23cd497
- up to 0.7.2

* Wed May 28 2008 Jakub Bogusz <qboosh@pld-linux.org> 4446255
- updated to 0.7.1

* Sun Nov 04 2007 Elan Ruusamäe <glen@pld-linux.org> e1de58e
- make jobs: 1

* Sun Nov 04 2007 Jakub Bogusz <qboosh@pld-linux.org> 5d2b7e9
- updated to 0.6.2

* Wed Jun 13 2007 Jakub Bogusz <qboosh@pld-linux.org> 7a78b3f
- updated to 0.6.1

* Mon Apr 09 2007 Jakub Bogusz <qboosh@pld-linux.org> 57a9771
- updated to 0.6.0
- failing macho tests temporarily disabled

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1e3f0ea
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 2471465
- converted to UTF-8

* Wed Jul 19 2006 Jakub Bogusz <qboosh@pld-linux.org> 1e34605
- updated to 0.5.0, removed obsolete segv patch
- libyasm is only static now

